List all invoices
List your store's invoices, 15 per page by default.
List your store's invoices, 15 per page by default.
Authorization
bearerAuth storeAuth Provide your SellApp API key as a bearer token.
In: header
Select the SellApp store for this API request.
In: header
Query Parameters
Number of items to return per page.
151 <= value <= 100Page number to return.
11 <= valueFree-text search term.
Which invoice field the search term should be matched against.
"default" | "transaction_id" | "serial_code" | "additional_info" | "product_name" | "discord_data" | "crypto_txid" | "crypto_address" | "coupon_code"Filter by invoice ID.
Filter by customer email.
Filter by payment transaction ID.
Filter by delivered serial.
Filter by customer-provided additional information.
Filter by product or variant title.
Filter by attached Discord data.
Filter by crypto TXID.
Filter by crypto payment address.
Filter by coupon code.
Filter by one or more invoice statuses.
Filter by one or more payment methods.
Sort order for the result set.
"created_at" | "-created_at"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://sell.app/api/v2/invoices"{
"data": [
{
"id": 1,
"payment": {
"fee": {
"base": "0",
"currency": "USD",
"units": 1,
"vat": 0,
"total": {
"exclusive": "0",
"inclusive": "0"
}
},
"gateway": {
"data": {
"total": {
"base": "1999",
"currency": "USD",
"units": 1,
"vat": 0,
"total": {
"exclusive": "1999",
"inclusive": "1999"
}
},
"customer_email": "pundar.sichai@example.com",
"transaction_id": "CQEGF35V"
},
"type": "COINBASE"
},
"subtotal": {
"base": "1999",
"currency": "USD",
"units": 1,
"vat": 0,
"total": {
"exclusive": "1999",
"inclusive": "1999"
}
},
"expires_at": "2024-01-09T23:50:11.000000Z",
"full_price": {
"base": "1999",
"currency": "USD",
"units": 1,
"vat": 0,
"total": {
"exclusive": "1999",
"inclusive": "1999"
}
},
"original_amount": {
"base": "1999",
"currency": "USD",
"units": 1,
"vat": 0,
"total": {
"exclusive": "1999",
"inclusive": "1999"
}
}
},
"status": {
"history": [
{
"setAt": "2024-01-09T14:50:11.000000Z",
"status": "PENDING",
"updatedAt": "2024-01-09T18:00:50.000000Z"
}
],
"status": {
"setAt": "2024-01-09T18:00:50.000000Z",
"status": "COMPLETED",
"updatedAt": "2024-01-09T18:00:50.000000Z"
}
},
"webhooks": [],
"feedback": "",
"created_at": "2024-01-09T14:50:11.000000Z",
"updated_at": "2024-01-09T18:00:50.000000Z",
"store_id": 1,
"coupon_id": null,
"subscription_id": null,
"customer_information": {
"id": 123,
"email": "pundar.sichai@example.com",
"country": "Germany",
"location": "Munich",
"ip": "1.3.3.7",
"proxied": false,
"browser_agent": "Mozilla/4.9 (Windows 98; sl-SI; rv:1.9.1.20) Gecko/20110422 Firefox/21.0",
"vat": {
"amount": "0",
"country": "DE"
},
"discord_data": null,
"billing_details": null
},
"product_variants": [
{
"id": 117214,
"product_id": 97850,
"title": "Founder Mode Credits"
}
]
}
],
"links": {
"first": "https://sell.app/api/v2/invoices?page=1",
"last": "https://sell.app/api/v2/invoices?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"path": "https://sell.app/api/v2/invoices",
"per_page": 15,
"to": 1,
"total": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "https://sell.app/api/v2/invoices?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
}
}{
"type": "authentication_error",
"code": "unauthenticated",
"message": "Unauthenticated.",
"status": 401,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#unauthenticated"
}{
"type": "authorization_error",
"code": "forbidden",
"message": "This action is unauthorized.",
"status": 403,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#forbidden"
}{
"type": "validation_error",
"code": "validation_failed",
"message": "The selected product variant id is invalid.",
"status": 422,
"param": "product_variant_id",
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#validation-failed",
"errors": {
"product_variant_id": [
"The selected product variant id is invalid."
]
}
}{
"type": "rate_limit_error",
"code": "rate_limit_exceeded",
"message": "Too Many Attempts.",
"status": 429,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#rate-limit-exceeded"
}{
"type": "api_error",
"code": "api_error",
"message": "Server Error",
"status": 500,
"param": null,
"request_id": "01992a65-e064-71ba-b38f-902b7966a6be",
"docs_url": "https://sell.app/docs/api/errors#api-error"
}